## dods.dap.Server
Class InvalidParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              dods.dap.DODSException
                  dods.dap.Server.SDODSException
                      dods.dap.Server.InvalidParameterException

All Implemented Interfaces:
  Serializable

public class InvalidParameterException
extends SDODSException

Used to indicate that one of the passed parameters to a method is either the wrong type, is missing, or it's value is unacceptable.

See Also:
  Serialized Form

Field Summary

Fields inherited from class dods.dap.DODSException
`CANNOT_READ_FILE, JAVA_PROGRAM, MALFORMED_EXPR, NO_AUTHORIZATION, NO_PROGRAM, NO_SUCH_FILE, NO_SUCH_VARIABLE, TCL_PROGRAM, UNDEFINED_ERROR, UNDEFINED_PROG_TYPE, UNKNOWN_ERROR`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`InvalidParameterException(int err, String s)` Construct a `InvalidParameterException` with the specified message and DODS error code (see `DODSException`).
`InvalidParameterException(String s)` Construct a `InvalidParameterException` with the specified detail message.

Methods inherited from class dods.dap.DODSException
`getErrorCode, getErrorMessage, getMessage, getProgramSource, getProgramType, parse, print, print, setErrorCode, setErrorMessage, setProgramSource, setProgramType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidParameterException

    public InvalidParameterException(String s)

  Construct a `InvalidParameterException` with the specified detail message.

Parameters:
  `s` - the detail message.

### InvalidParameterException

    public InvalidParameterException(int err,
                                     String s)

  Construct a `InvalidParameterException` with the specified message and DODS error code (see `DODSException`).

Parameters:
  `err` - the DODS error code.
  `s` - the detail message.